<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Agregar servicio/productos</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Servicios</a>
            </li>
            <li class="breadcrumb-item active">Agregar servicio/productos</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Agregar servicio/productos</strong></h2>

          </div>
          <div class="body">
            <form class="m-4" [formGroup]="staffForm" (ngSubmit)="onSubmit()">
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Código</mat-label>
                    <input matInput formControlName="first" required>
                    <mat-error *ngIf="staffForm.get('first').hasError('required')">
                      El Código es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Nombre</mat-label>
                    <input matInput formControlName="last">
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Tipo</mat-label>
                    <mat-select formControlName="gender" required>
                      <mat-option [value]="'Male'">
                        Tipo 1
                      </mat-option>
                      <mat-option [value]="'Female'">
                        Tipo 2
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="staffForm.get('gender').hasError('required')">
                      El tipo es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Categoria</mat-label>
                    <mat-select formControlName="department" required>
                      <mat-option [value]="'1'">
                        Categoria 1
                      </mat-option>
                      <mat-option [value]="'2'">
                        Categoria 1
                      </mat-option>
                      <mat-option [value]="'3'">
                        Categoria 1
                      </mat-option>
                      <mat-option [value]="'4'">
                        Categoria 1
                      </mat-option>
                    </mat-select>
                    <mat-error *ngIf="staffForm.get('department').hasError('required')">
                      La categoria es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Descripción</mat-label>
                    <input matInput formControlName="password" type="text" required>
                    <mat-error *ngIf="staffForm.get('password').hasError('required')">
                      La Descripción es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Unidad de medida</mat-label>
                    <input matInput formControlName="conformPassword" type="text" required>
                    <mat-error *ngIf="staffForm.get('conformPassword').hasError('required')">
                      La Unidad de medida es requerdia
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Costo</mat-label>
                    <input matInput formControlName="designation">
                  </mat-form-field>
                </div>
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Precio de venta</mat-label>
                    <input matInput formControlName="mobile" type="number" required>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <mat-label>Margen de ganacia</mat-label>
                    <input matInput formControlName="email" required>
                    <mat-error *ngIf="staffForm.get('email').hasError('email') && staffForm.get('email').touched">
                      El margen es requerido
                    </mat-error>
                  </mat-form-field>
                </div>
                <!-- <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="fill">
                    <label class="example-margin font-weight-bold">Deshabilitar</label>
                      <mat-radio-group>
                        <mat-radio-button class="example-margin" value="1"></mat-radio-button>
                      </mat-radio-group>
                  </mat-form-field>
                </div> -->
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3 text-center">
                  <button class="mr-3" [disabled]="!staffForm.valid " mat-raised-button color="primary">Guardar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
